<?php
/**
* Body Classes.
*
* @package SocialLive
*/
 
 if (!function_exists('sociallive_body_classes')) :

    function sociallive_body_classes($classes) {

        global $post;

        $sociallive_default = sociallive_get_default_theme_options();

        $ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$sociallive_default['ed_desktop_menu'] );

        $enable_sidebar_filter = get_theme_mod( 'enable_sidebar_filter',$sociallive_default['enable_sidebar_filter'] );

        if($enable_sidebar_filter):
            $classes[] = 'has-sidebar-filter';
        endif;

        
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }
        if( $ed_desktop_menu ){

            $classes[] = 'enabled-desktop-menu';

        }else{

            $classes[] = 'disabled-desktop-menu';

        }

        return $classes;
    }

endif;

add_filter('body_class', 'sociallive_body_classes');