<?php
/**
 * Default Values.
 *
 * @package SocialLive
 */

if ( ! function_exists( 'sociallive_get_default_theme_options' ) ) :

    /**
     * Get default theme options
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function sociallive_get_default_theme_options() {

        $sociallive_defaults = array();
        // Options.
        $sociallive_defaults['ed_latest_post']      = 1;
        $sociallive_defaults['logo_height_range']      = 60;
        $sociallive_defaults['sociallive_pagination_layout']      = 'numeric';
        $sociallive_defaults['footer_copyright_text']                      = esc_html__( 'All rights reserved.', 'sociallive' );
        $sociallive_defaults['ed_header_search']                           = 1;
        $sociallive_defaults['enable_random_post']                         = 1;
        $sociallive_defaults['random_post_category']                         = '';
        $sociallive_defaults['enable_sidebar_filter']                      = 0;
        $sociallive_defaults['enable_homepage_banner']                     = 1;
        $sociallive_defaults['homepage_banner_category']                   = '';
        $sociallive_defaults['ed_image_content_inverse']                   = 0;
        $sociallive_defaults['twp_navigation_type']                        = 'ajax-next-post-load';
        $sociallive_defaults['ed_post_author']                             = 1;
        $sociallive_defaults['ed_post_date']                               = 1;
        $sociallive_defaults['ed_post_category']                           = 1;
        $sociallive_defaults['ed_post_tags']                               = 1;
        $sociallive_defaults['ed_footer_copyright']                        = 1;

        $sociallive_defaults['header_image_opacity']                = 3;

        $sociallive_defaults['ed_desktop_menu']            = 0;
        $sociallive_defaults['ed_post_excerpt']            = 1;
        
        // Pass through filter.
        $sociallive_defaults = apply_filters( 'sociallive_filter_default_theme_options', $sociallive_defaults );

        return $sociallive_defaults;

    }

endif;
