<?php
/**
* Header Options.
*
* @package SocialLive
*/

$sociallive_default = sociallive_get_default_theme_options();

// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'sociallive' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Enable Disable Search.
$wp_customize->add_setting('ed_header_search',
    array(
        'default' => $sociallive_default['ed_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sociallive_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search',
    array(
        'label' => esc_html__('Enable Search', 'sociallive'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Enable Random post.
$wp_customize->add_setting('enable_random_post',
    array(
        'default' => $sociallive_default['enable_random_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sociallive_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_random_post',
    array(
        'label' => esc_html__('Enable Random Post', 'sociallive'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Setting - drop down category for random post
$wp_customize->add_setting('random_post_category',
    array(
        'default'           => $sociallive_default['random_post_category'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(new SocialLive_Dropdown_Taxonomies_Control($wp_customize, 'random_post_category',
        array(
            'label'           => esc_html__('Random Post Category', 'sociallive'),
            'section'         => 'main_header_setting',
            'type'            => 'dropdown-taxonomies',
            'taxonomy'        => 'category',

        )
    )
);

$wp_customize->add_setting('ed_desktop_menu',
    array(
        'default' => $sociallive_default['ed_desktop_menu'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sociallive_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_desktop_menu',
    array(
        'label' => esc_html__('Conceal menu icon from header while viewing the website on a desktop view', 'sociallive'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);