<?php
/**
 * Pagination Settings
 *
 * @package SocialLive
 */

$sociallive_default = sociallive_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'sociallive_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'sociallive' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'sociallive_pagination_layout',
	array(
	'default'           => $sociallive_default['sociallive_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'sociallive_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'sociallive' ),
	'section'     => 'sociallive_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','sociallive'),
		'numeric' => esc_html__('Numeric Method','sociallive'),
		'load-more' => esc_html__('Ajax Load More Button','sociallive'),
		'auto-load' => esc_html__('Ajax Auto Load','sociallive'),
	),
	)
);