<?php
/**
 * Widget FUnctions.
 *
 * @package SocialLive
 */
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function sociallive_widgets_init(){

    $sociallive_default = sociallive_get_default_theme_options();

    register_sidebar(array(
        'name' => esc_html__('Front-Page Widget Area', 'sociallive'),
        'id' => 'front-page-widget-area',
        'description' => esc_html__('Add widgets here.', 'sociallive'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Single Sidebar Widget Area', 'sociallive'),
        'id' => 'single-post-widget-area',
        'description' => esc_html__('Add widgets here.', 'sociallive'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

}

add_action('widgets_init', 'sociallive_widgets_init');
require get_template_directory() . '/inc/widgets/widget-base.php';
require get_template_directory() . '/inc/widgets/category.php';
require get_template_directory() . '/inc/widgets/recent-post.php';
require get_template_directory() . '/inc/widgets/carousel.php';
require get_template_directory() . '/inc/widgets/sidebar-recent-post.php';
