<?php
/**
 *
 * @package SocialLive
 */
if (!function_exists('sociallive_slider_banner_block')):
    function sociallive_slider_banner_block($query_args){

        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }

        $sociallive_banner_block_query = new WP_Query( $query_args );
        if( $sociallive_banner_block_query ->have_posts() ): 
        ?>
        <div class="theme-block theme-block-carousel">
            <div class="wrapper">
                <div class="theme-main-slider" data-slick='{"rtl": <?php echo esc_attr($rtl); ?>}'>
                    <?php if( $sociallive_banner_block_query ->have_posts() ){
                        while( $sociallive_banner_block_query ->have_posts() ){
                            ?>
                            <div class="theme-slick-slide">
                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('theme-post-article theme-post-banner'); ?>>
                                <?php
                                $sociallive_banner_block_query ->the_post();

                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                                $featured_image_full = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                                $featured_image_full = isset($featured_image_full[0]) ? $featured_image_full[0] : '';

                                $content = apply_filters('the_content', get_the_content());
                                $video = false;
                                $video_url = '';
                                $video_url = sociallive_video_pop_up_url($content, $video, $video_url);


                                if (has_post_thumbnail()) {
                                ?>

                                <div class="theme-media-panel">
                                    <?php if (!empty($video_url)) { ?>
                                        <a class="theme-media-link" href="<?php echo esc_url($video_url); ?>" data-title="<?php the_title_attribute(); ?>" data-caption="<?php the_excerpt(); ?>">
                                            <span class="data-bg data-bg-mediumbig thumb-overlay img-hover-shine" data-background="<?php echo esc_url($featured_image); ?>">
                                                <span id="video-icon-holder">
                                                    <span id="media-video-icon"></span>
                                                </span>
                                            </span>
                                        </a>
                                    <?php } else { ?>
                                        <a class="popup-image-link" href="<?php echo esc_url($featured_image_full); ?>" data-title="<?php the_title_attribute(); ?>" data-caption="<?php the_excerpt(); ?>">
                                            <span class="data-bg data-bg-mediumbig thumb-overlay img-hover-shine" data-background="<?php echo esc_url($featured_image); ?>"></span>
                                        </a>
                                    <?php } ?>
                                </div>
                                <?php } ?>

                                <div class="article-content article-content-center">
                                    <?php
                                    $enable_author_image = isset($params['enable_author_image']);
                                    if ($enable_author_image) { ?>
                                        <div class="article-content-left">
                                            <?php $author_img = get_avatar(get_the_author_meta('ID'), 60, '', '', array('class' => 'avatar-img')); ?>
                                            <div class="theme-author-image">
                                                <?php echo wp_kses_post($author_img); ?>
                                            </div>
                                        </div>
                                    <?php } ?>

                                    <div class="article-content-right">
                                        <header class="entry-header">
                                            <h3 class="entry-title entry-title-big">
                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h3>
                                        </header>
                                        <div class="entry-meta">
                                            <?php sociallive_posted_by(); ?>
                                            <?php sociallive_posted_on(); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>

                        <?php }
                    } ?>
                </div>
            </div>
        </div>
        <?php
        wp_reset_postdata();
        endif;

    }
endif;