<?php 
/**
 * Template for displaying category
 *
 * @version 1.0.0
 */
get_header(); 

$categories = get_categories();?>
<div class='theme-block theme-block-categories'>
    <div class="wrapper">
        <div class="wrapper-inner">
            <?php foreach($categories as $category) {
             $twp_term_image = get_term_meta( $category->term_id, 'twp-term-featured-image', true ); ?>
            <div class='column column-3 column-md-6 column-sm-6 column-xxs-12 mb-30'>
                <article class="article-detail-position">
                    <div class="entry-thumbnail thumbnail-image-overlay">
                        <a href='<?php echo esc_url(get_category_link($category->term_id));?>'
                            class="data-bg data-bg-medium" data-background='<?php echo esc_url($twp_term_image); ?>'></a>
                    </div>
                    <div class="theme-article-detail">
                        <h2 class="aside-filter-title">
                            <a href="<?php echo esc_url(get_category_link($category->term_id));?>"><?php echo esc_html($category->name); ?><?php echo '('.absint($category->category_count).')'; ?></a>
                        </h2>
                    </div>
                </article>
            </div>
            <?php
          } ?>
        </div>
    </div>
</div>
<?php get_footer();