<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SocialLive
 * @since 1.0.0
 */
$sociallive_default = sociallive_get_default_theme_options();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('theme-post-article theme-post-latest'); ?>>

    <?php
    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
    $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
    $featured_image_full = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
    $featured_image_full = isset($featured_image_full[0]) ? $featured_image_full[0] : '';
    $content = apply_filters('the_content', get_the_content());
    $video = false;
    $video_url = '';
    $video_url = sociallive_video_pop_up_url($content, $video, $video_url);

    if (has_post_thumbnail()) {
    ?>
    <div class="theme-media-panel">
        <?php if (!empty($video_url)) { ?>
            <a class="theme-media-link" href="<?php echo esc_url($video_url); ?>" data-title="<?php the_title_attribute(); ?>" data-caption="<?php the_excerpt(); ?>">
                <span class="data-bg thumb-overlay img-hover-shine  data-bg-small"
                      data-background="<?php echo esc_url($featured_image); ?>">
                    <span id="video-icon-holder">
                        <span id="media-video-icon"></span>
                    </span>
                </span>
            </a>
        <?php } else { ?>
            <a class="popup-image-link" href="<?php echo esc_url($featured_image_full); ?>"
               data-title="<?php the_title_attribute(); ?>" data-caption="<?php the_excerpt(); ?>">
                <span class="data-bg thumb-overlay img-hover-shine <?php echo $featured_image_full; ?>"
                      data-background="<?php echo esc_url($featured_image); ?>"></span>
            </a>
        <?php } ?>
    </div>
    <?php } ?>

    <div class="article-content">
        <div class="article-content-left">
            <?php $author_img = get_avatar(get_the_author_meta('ID'), 60, '', '', array('class' => 'avatar-img')); ?>
            <div class="theme-author-image">
                <?php echo wp_kses_post($author_img); ?>
            </div>
        </div>

        <div class="article-content-right">
            <header class="entry-header">
                <h3 class="entry-title entry-title-small">
                    <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                        <?php the_title(); ?>
                    </a>
                </h3>
            </header>
            <div class="entry-meta">
                <?php sociallive_posted_by(); ?>
                <?php sociallive_posted_on(); ?>
            </div>
        </div>
    </div>

</article>